Redmine - Feature #32302

Filter projects after bookmarks
2019-10-19 22:43 - Marius BALTEANU

Status: Closed
Priority: Normal
Assignee: Go MAEDA
Category: Projects

Target version:

Resolution: Fixed

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

| think it will be useful to allow users to filter the projects (#29482) after bookmarks (#31355) and | see two options:

1. "Bookmarks" filter with yes and no
bookmarks_fiter.png

2. "<< my bookmarks >> option in Project filter
my_bookmarks.png

Related issues:

Related to Redmine - Feature #29482: Query system for Projects page Closed
Related to Redmine - Feature #31355: Bookmarks and recently used projects for... Closed
Related to Redmine - Feature #572: My projects (or favourite projects) Closed

Associated revisions

Revision 18842 - 2019-10-23 03:20 - Go MAEDA
Option to filter after my bookmarked projects (#32302, #29482, #31355).

Patch by Marius BALTEANU.

Revision 18843 - 2019-10-23 03:27 - Go MAEDA
Update locales (#32302, #29482, #31355).

History

#1 - 2019-10-19 22:43 - Marius BALTEANU
- Related to Feature #29482: Query system for Projects page added

#2 - 2019-10-19 22:43 - Marius BALTEANU

- Related to Feature #31355: Bookmarks and recently used projects for the project jump box added

#3 - 2019-10-19 22:46 - Marius BALTEANU

- Description updated

#4 - 2019-10-20 01:13 - Go MAEDA

Since we already have "<< my projects >>" in Project filter, the filter seems the right place to add "<< my bookmarks >>".

#5 - 2019-10-20 17:04 - Marius BALTEANU
- File 0001-Option-to-filter-after-my-bookmarked-projects.patch added

- Target version set to Candidate for next major release

Here is the patch, | think we can commit it as part of #29482 and #31355.

#6 - 2019-10-20 17:21 - Marius BALTEANU
- Related to Feature #572: My projects (or favourite projects) added
#7 - 2019-10-21 03:19 - Go MAEDA
- Category set to Projects

- Target version changed from Candidate for next major release to 4.1.0

The patch works fine and passed all tests.

Marius BALTEANU wrote:

Here is the patch, | think we can commit it as part of #29482 and #31355.

Indeed. This feature should be delivered in 4.1.0.

#8 - 2019-10-23 02:56 - Go MAEDA
- Assignee set to Go MAEDA

#9 - 2019-10-23 03:21 - Go MAEDA
- Status changed from New to Closed
- Target version deleted (4.1.0)

- Resolution set to Fixed

Marius BALTEANU wrote:

Here is the patch, | think we can commit it as part of #29482 and #31355.

Committed the patch in r18842. Thank you.
